gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-deployment] branch master updated: list incoming


From: gnunet
Subject: [taler-deployment] branch master updated: list incoming
Date: Mon, 25 Mar 2024 09:30:03 +0100

This is an automated email from the git hooks/post-receive script.

dold pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 49a708e  list incoming
49a708e is described below

commit 49a708e19d328eda7a83ca6e6d3b7a3ad1bbf1c6
Author: Florian Dold <florian@dold.me>
AuthorDate: Mon Mar 25 09:29:54 2024 +0100

    list incoming
---
 regional-currency/list-incoming.sh | 40 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)

diff --git a/regional-currency/list-incoming.sh 
b/regional-currency/list-incoming.sh
new file mode 100755
index 0000000..3ef7da7
--- /dev/null
+++ b/regional-currency/list-incoming.sh
@@ -0,0 +1,40 @@
+#!/usr/bin/env bash
+
+# This file is in the public domain.
+
+# Script for basic diagnostics of a Taler regio deployment.
+# @author Florian Dold <dold@taler.net>
+
+if [ "$(id -u)" -ne 0 ]; then
+  echo "FATAL: Please run as root." >&2
+  exit 1
+fi
+
+libeufin_bank_db=$(libeufin-bank config get libeufin-bankdb-postgres config)
+libeufin_nexus_db=$(libeufin-nexus config get libeufin-nexusdb-postgres config)
+exchange_db=$(taler-config -s exchangedb-postgres -o config)
+
+if [[ $libeufin_nexus_db != $libeufin_bank_db ]]; then
+  echo "FATAL: libeufin-bank and libeufin-nexus don't share the same database" 
>&2
+  exit 1
+fi
+
+libeufin_db=$libeufin_bank_db
+
+# runsql db RESNAME < query
+function runsql() {
+  local sql
+  read -r -d '' sql
+  res=$(cd / && sudo -u postgres psql "$1" -t --csv -c "$sql")
+  printf -v "$2" '%s' "$res"
+}
+
+#
+# Check for conversion trigger
+#
+
+runsql "$exchange_db" reserves_in <<EOF
+select reserve_pub from exchange.reserves_in;
+EOF
+
+echo $reserves_in

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]